<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Pistol/Magnum.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/dd0/_magnum_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">Magnum.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../db/dd0/_magnum_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">shorthand  <a href="../../d3/d9c/class_weapon___base.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d5/d08/class_magnum___base"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#d5/d08/class_magnum___base">Magnum_Base</a></td></tr>
<tr class="separator:d5/d08/class_magnum___base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dbf/class_dummy_item.html">DummyItem</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ab215b1725c10c07e09d9051515624a30"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#ab215b1725c10c07e09d9051515624a30">MagnumAnimState</a> { <a class="el" href="../../db/dd0/_magnum_8c.html#a9c20a170ad58d56f28b10ce98f02cb9ca88ec7d5086d2469ba843c7fcceade8a6">DEFAULT</a> = 0
 }</td></tr>
<tr class="separator:ab215b1725c10c07e09d9051515624a30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c20a170ad58d56f28b10ce98f02cb9c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a9c20a170ad58d56f28b10ce98f02cb9c">MagnumStableStateID</a> { <a class="el" href="../../db/dd0/_magnum_8c.html#a9c20a170ad58d56f28b10ce98f02cb9ca6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a> = 0
, <a class="el" href="../../db/dd0/_magnum_8c.html#a9c20a170ad58d56f28b10ce98f02cb9ca88ec7d5086d2469ba843c7fcceade8a6">DEFAULT</a> = 0
 }</td></tr>
<tr class="separator:a9c20a170ad58d56f28b10ce98f02cb9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a554194fbf83f198e8f8e9ecb7a31e330"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a554194fbf83f198e8f8e9ecb7a31e330">OnEntry</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:a554194fbf83f198e8f8e9ecb7a31e330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40f8697dfa587f8adabc8640bc98ad8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#aa40f8697dfa587f8adabc8640bc98ad8">OnExit</a> (<a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</td></tr>
<tr class="separator:aa40f8697dfa587f8adabc8640bc98ad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fba6d4213ebbe1820d719974f601736"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a8fba6d4213ebbe1820d719974f601736">GetCurrentStateID</a> ()</td></tr>
<tr class="separator:a8fba6d4213ebbe1820d719974f601736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49d3803bebd844c3f873106849df18a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#ab49d3803bebd844c3f873106849df18a">HasBullet</a> ()</td></tr>
<tr class="separator:ab49d3803bebd844c3f873106849df18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2a2200b1debc914a8e34252c33e8dfe"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#af2a2200b1debc914a8e34252c33e8dfe">HasMagazine</a> ()</td></tr>
<tr class="separator:af2a2200b1debc914a8e34252c33e8dfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac14d196e64cad535c5aa50f0c954df3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#aac14d196e64cad535c5aa50f0c954df3">IsJammed</a> ()</td></tr>
<tr class="separator:aac14d196e64cad535c5aa50f0c954df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a96c27a72fcd7d2907c6f607dc9ff2b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a8a96c27a72fcd7d2907c6f607dc9ff2b">IsSingleState</a> ()</td></tr>
<tr class="separator:a8a96c27a72fcd7d2907c6f607dc9ff2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad33f790a00061cd2603d6bdcd2db9d7a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#ad33f790a00061cd2603d6bdcd2db9d7a">MAGNUM_ROTATION_POSITION_M1</a> = -0.167</td></tr>
<tr class="separator:ad33f790a00061cd2603d6bdcd2db9d7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aede1b5d20179d4fdbe451722933eefa5"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#aede1b5d20179d4fdbe451722933eefa5">MAGNUM_ROTATION_POSITION_0</a> = 0.0</td></tr>
<tr class="separator:aede1b5d20179d4fdbe451722933eefa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b033da45c066683948189cf0108906c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a2b033da45c066683948189cf0108906c">MAGNUM_ROTATION_POSITION_1</a> = 0.167</td></tr>
<tr class="separator:a2b033da45c066683948189cf0108906c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21d4585df37015f184ea8cf01a201b11"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a21d4585df37015f184ea8cf01a201b11">MAGNUM_ROTATION_POSITION_2</a> = 0.334</td></tr>
<tr class="separator:a21d4585df37015f184ea8cf01a201b11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eeceb184db0d8c0ec75fe602e93173a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a4eeceb184db0d8c0ec75fe602e93173a">MAGNUM_ROTATION_POSITION_3</a> = 0.500</td></tr>
<tr class="separator:a4eeceb184db0d8c0ec75fe602e93173a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a756dd0ae43647292cecf391cfd033fb3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a756dd0ae43647292cecf391cfd033fb3">MAGNUM_ROTATION_POSITION_4</a> = 0.668</td></tr>
<tr class="separator:a756dd0ae43647292cecf391cfd033fb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad51c149c4e6007f4ff1357ee4f12515d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#ad51c149c4e6007f4ff1357ee4f12515d">MAGNUM_ROTATION_POSITION_5</a> = 0.835</td></tr>
<tr class="separator:ad51c149c4e6007f4ff1357ee4f12515d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f0196dc3a9c32d14d8d4b72bc4a9d12"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a7f0196dc3a9c32d14d8d4b72bc4a9d12">MAGNUM_ROTATION_POSITION_6</a> = 1.0</td></tr>
<tr class="separator:a7f0196dc3a9c32d14d8d4b72bc4a9d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0822b67a9497c1c6258c280f71d5512e"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../db/dd0/_magnum_8c.html#a9c20a170ad58d56f28b10ce98f02cb9c">MagnumStableStateID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dd0/_magnum_8c.html#a0822b67a9497c1c6258c280f71d5512e">init</a> = false</td></tr>
<tr class="separator:a0822b67a9497c1c6258c280f71d5512e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="d5/d08/class_magnum___base" id="d5/d08/class_magnum___base"></a>
<h2 class="memtitle"><span class="permalink"><a href="#d5/d08/class_magnum___base">&#9670;&#160;</a></span>Magnum_Base</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class Magnum_Base</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00363">363</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>
</div>
</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ab215b1725c10c07e09d9051515624a30" name="ab215b1725c10c07e09d9051515624a30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab215b1725c10c07e09d9051515624a30">&#9670;&#160;</a></span>MagnumAnimState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../db/dd0/_magnum_8c.html#ab215b1725c10c07e09d9051515624a30">MagnumAnimState</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a9c20a170ad58d56f28b10ce98f02cb9ca88ec7d5086d2469ba843c7fcceade8a6" name="a9c20a170ad58d56f28b10ce98f02cb9ca88ec7d5086d2469ba843c7fcceade8a6"></a>DEFAULT&#160;</td><td class="fielddoc"><p >default weapon state </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00011">11</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a9c20a170ad58d56f28b10ce98f02cb9c" name="a9c20a170ad58d56f28b10ce98f02cb9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c20a170ad58d56f28b10ce98f02cb9c">&#9670;&#160;</a></span>MagnumStableStateID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../db/dd0/_magnum_8c.html#a9c20a170ad58d56f28b10ce98f02cb9c">MagnumStableStateID</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a9c20a170ad58d56f28b10ce98f02cb9ca6ce26a62afab55d7606ad4e92428b30c" name="a9c20a170ad58d56f28b10ce98f02cb9ca6ce26a62afab55d7606ad4e92428b30c"></a>UNKNOWN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a9c20a170ad58d56f28b10ce98f02cb9ca88ec7d5086d2469ba843c7fcceade8a6" name="a9c20a170ad58d56f28b10ce98f02cb9ca88ec7d5086d2469ba843c7fcceade8a6"></a>DEFAULT&#160;</td><td class="fielddoc"><p >default weapon state </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00016">16</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8fba6d4213ebbe1820d719974f601736" name="a8fba6d4213ebbe1820d719974f601736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fba6d4213ebbe1820d719974f601736">&#9670;&#160;</a></span>GetCurrentStateID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetCurrentStateID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00041">41</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="ab49d3803bebd844c3f873106849df18a" name="ab49d3803bebd844c3f873106849df18a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab49d3803bebd844c3f873106849df18a">&#9670;&#160;</a></span>HasBullet()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasBullet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00042">42</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="af2a2200b1debc914a8e34252c33e8dfe" name="af2a2200b1debc914a8e34252c33e8dfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2a2200b1debc914a8e34252c33e8dfe">&#9670;&#160;</a></span>HasMagazine()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasMagazine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00043">43</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="aac14d196e64cad535c5aa50f0c954df3" name="aac14d196e64cad535c5aa50f0c954df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac14d196e64cad535c5aa50f0c954df3">&#9670;&#160;</a></span>IsJammed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsJammed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00044">44</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a8a96c27a72fcd7d2907c6f607dc9ff2b" name="a8a96c27a72fcd7d2907c6f607dc9ff2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a96c27a72fcd7d2907c6f607dc9ff2b">&#9670;&#160;</a></span>IsSingleState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsSingleState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00045">45</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a554194fbf83f198e8f8e9ecb7a31e330" name="a554194fbf83f198e8f8e9ecb7a31e330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a554194fbf83f198e8f8e9ecb7a31e330">&#9670;&#160;</a></span>OnEntry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00025">25</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="aa40f8697dfa587f8adabc8640bc98ad8" name="aa40f8697dfa587f8adabc8640bc98ad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa40f8697dfa587f8adabc8640bc98ad8">&#9670;&#160;</a></span>OnExit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnExit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00040">40</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a0822b67a9497c1c6258c280f71d5512e" name="a0822b67a9497c1c6258c280f71d5512e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0822b67a9497c1c6258c280f71d5512e">&#9670;&#160;</a></span>init</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../db/dd0/_magnum_8c.html#a9c20a170ad58d56f28b10ce98f02cb9c">MagnumStableStateID</a> init = false</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aede1b5d20179d4fdbe451722933eefa5" name="aede1b5d20179d4fdbe451722933eefa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aede1b5d20179d4fdbe451722933eefa5">&#9670;&#160;</a></span>MAGNUM_ROTATION_POSITION_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAGNUM_ROTATION_POSITION_0 = 0.0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00002">2</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a2b033da45c066683948189cf0108906c" name="a2b033da45c066683948189cf0108906c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b033da45c066683948189cf0108906c">&#9670;&#160;</a></span>MAGNUM_ROTATION_POSITION_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAGNUM_ROTATION_POSITION_1 = 0.167</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00003">3</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a21d4585df37015f184ea8cf01a201b11" name="a21d4585df37015f184ea8cf01a201b11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21d4585df37015f184ea8cf01a201b11">&#9670;&#160;</a></span>MAGNUM_ROTATION_POSITION_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAGNUM_ROTATION_POSITION_2 = 0.334</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a4eeceb184db0d8c0ec75fe602e93173a" name="a4eeceb184db0d8c0ec75fe602e93173a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4eeceb184db0d8c0ec75fe602e93173a">&#9670;&#160;</a></span>MAGNUM_ROTATION_POSITION_3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAGNUM_ROTATION_POSITION_3 = 0.500</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00005">5</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a756dd0ae43647292cecf391cfd033fb3" name="a756dd0ae43647292cecf391cfd033fb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a756dd0ae43647292cecf391cfd033fb3">&#9670;&#160;</a></span>MAGNUM_ROTATION_POSITION_4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAGNUM_ROTATION_POSITION_4 = 0.668</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00006">6</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="ad51c149c4e6007f4ff1357ee4f12515d" name="ad51c149c4e6007f4ff1357ee4f12515d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad51c149c4e6007f4ff1357ee4f12515d">&#9670;&#160;</a></span>MAGNUM_ROTATION_POSITION_5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAGNUM_ROTATION_POSITION_5 = 0.835</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00007">7</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="a7f0196dc3a9c32d14d8d4b72bc4a9d12" name="a7f0196dc3a9c32d14d8d4b72bc4a9d12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f0196dc3a9c32d14d8d4b72bc4a9d12">&#9670;&#160;</a></span>MAGNUM_ROTATION_POSITION_6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAGNUM_ROTATION_POSITION_6 = 1.0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00008">8</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
<a id="ad33f790a00061cd2603d6bdcd2db9d7a" name="ad33f790a00061cd2603d6bdcd2db9d7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad33f790a00061cd2603d6bdcd2db9d7a">&#9670;&#160;</a></span>MAGNUM_ROTATION_POSITION_M1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> MAGNUM_ROTATION_POSITION_M1 = -0.167</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/dd0/_magnum_8c_source.html#l00001">1</a> of file <a class="el" href="../../db/dd0/_magnum_8c_source.html">Magnum.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_76a54f3297dfb22ebdc969318446e2b1.html">Pistol</a></li><li class="navelem"><a class="el" href="../../db/dd0/_magnum_8c.html">Magnum.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
